Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jdbc.pool
Class ConnectionPool.PoolCleaner

    java.lang.Object
      java.util.TimerTask
          org.apache.tomcat.jdbc.pool.ConnectionPool.PoolCleaner

All Implemented Interfaces:
  Runnable

Enclosing class:
  ConnectionPool

    protected class ConnectionPool.PoolCleaner

extends TimerTask

Field Summary
`protected long` | `lastRun`
`protected ConnectionPool` | `pool`
`protected boolean` | `run`
`protected long` | `sleepTime`

Method Summary
`void` | `run()`
`void` | `start()`
`void` | `stopRunning()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pool

    protected ConnectionPool pool

### sleepTime

    protected long sleepTime

### run

    protected volatile boolean run

### lastRun

    protected volatile long lastRun

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

### start

    public void start()

### stopRunning

    public void stopRunning()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.